<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage --><html lang="en">
<head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<!-- Generated by javadoc (1.8.0_121) on Thu Sep 26 20:37:37 UTC 2019 -->
<title>com.here.android.mpa.search Class Hierarchy (HERE Android Premium SDK)</title>
<meta name="date" content="2019-09-26">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
<meta name="copyright" content="© 2019 HERE Europe B.V."><meta name="html_title" content="HERE Android Premium SDK NLP Premium Edition v3.13 API Reference"><meta name="DC.Document.Id" content="28f10409-3c3a-4aab-a398-4c46acfeab3a"><meta name="DC.Document.Name" content="HERE Android Premium SDK Java API Reference"><meta name="DC.Product.Name" content="HERE Android Premium SDK"><meta name="DC.Product.Version" content="3.13"><meta name="DC.Creation.Date" content="2019-10-25T09:06:39+00:00"></head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="com.here.android.mpa.search Class Hierarchy (HERE Android Premium SDK)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li>Use</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/here/android/mpa/routing/package-tree.html">Prev</a></li>
<li><a href="../../../../../com/here/android/mpa/tce/package-tree.html">Next</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/search/package-tree.html" target="_top">Frames</a></li>
<li><a href="package-tree.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 class="title">Hierarchy For Package com.here.android.mpa.search</h1>
<span class="packageHierarchyLabel">Package Hierarchies:</span>
<ul class="horizontal">
<li><a href="../../../../../overview-tree.html">All Packages</a></li>
</ul>
</div>
<div class="contentContainer">
<h2 title="Class Hierarchy">Class Hierarchy</h2>
<ul>
<li type="circle">java.lang.Object
<ul>
<li type="circle">com.here.android.mpa.search.<a href="../../../../../com/here/android/mpa/search/Address.html" title="class in com.here.android.mpa.search"><span class="typeNameLink">Address</span></a></li>
<li type="circle">com.here.android.mpa.search.<a href="../../../../../com/here/android/mpa/search/AddressFilter.html" title="class in com.here.android.mpa.search"><span class="typeNameLink">AddressFilter</span></a></li>
<li type="circle">com.here.android.mpa.search.<a href="../../../../../com/here/android/mpa/search/AutoSuggest.html" title="class in com.here.android.mpa.search"><span class="typeNameLink">AutoSuggest</span></a>
<ul>
<li type="circle">com.here.android.mpa.search.<a href="../../../../../com/here/android/mpa/search/AutoSuggestPlace.html" title="class in com.here.android.mpa.search"><span class="typeNameLink">AutoSuggestPlace</span></a></li>
<li type="circle">com.here.android.mpa.search.<a href="../../../../../com/here/android/mpa/search/AutoSuggestQuery.html" title="class in com.here.android.mpa.search"><span class="typeNameLink">AutoSuggestQuery</span></a></li>
<li type="circle">com.here.android.mpa.search.<a href="../../../../../com/here/android/mpa/search/AutoSuggestSearch.html" title="class in com.here.android.mpa.search"><span class="typeNameLink">AutoSuggestSearch</span></a></li>
</ul>
</li>
<li type="circle">com.here.android.mpa.search.<a href="../../../../../com/here/android/mpa/search/Category.html" title="class in com.here.android.mpa.search"><span class="typeNameLink">Category</span></a></li>
<li type="circle">com.here.android.mpa.search.<a href="../../../../../com/here/android/mpa/search/CategoryFilter.html" title="class in com.here.android.mpa.search"><span class="typeNameLink">CategoryFilter</span></a></li>
<li type="circle">com.here.android.mpa.search.<a href="../../../../../com/here/android/mpa/search/ContactDetail.html" title="class in com.here.android.mpa.search"><span class="typeNameLink">ContactDetail</span></a></li>
<li type="circle">com.here.android.mpa.search.<a href="../../../../../com/here/android/mpa/search/DiscoveryResultPage.html" title="class in com.here.android.mpa.search"><span class="typeNameLink">DiscoveryResultPage</span></a></li>
<li type="circle">com.here.android.mpa.search.<a href="../../../../../com/here/android/mpa/search/ExtendedAttribute.html" title="class in com.here.android.mpa.search"><span class="typeNameLink">ExtendedAttribute</span></a>
<ul>
<li type="circle">com.here.android.mpa.search.<a href="../../../../../com/here/android/mpa/search/TransitDeparturesAttribute.html" title="class in com.here.android.mpa.search"><span class="typeNameLink">TransitDeparturesAttribute</span></a></li>
<li type="circle">com.here.android.mpa.search.<a href="../../../../../com/here/android/mpa/search/TransitLinesAttribute.html" title="class in com.here.android.mpa.search"><span class="typeNameLink">TransitLinesAttribute</span></a></li>
</ul>
</li>
<li type="circle">com.here.android.mpa.search.<a href="../../../../../com/here/android/mpa/search/GeocodeResult.html" title="class in com.here.android.mpa.search"><span class="typeNameLink">GeocodeResult</span></a></li>
<li type="circle">com.here.android.mpa.search.<a href="../../../../../com/here/android/mpa/search/Link.html" title="class in com.here.android.mpa.search"><span class="typeNameLink">Link</span></a>
<ul>
<li type="circle">com.here.android.mpa.search.<a href="../../../../../com/here/android/mpa/search/DiscoveryResult.html" title="class in com.here.android.mpa.search"><span class="typeNameLink">DiscoveryResult</span></a>
<ul>
<li type="circle">com.here.android.mpa.search.<a href="../../../../../com/here/android/mpa/search/DiscoveryLink.html" title="class in com.here.android.mpa.search"><span class="typeNameLink">DiscoveryLink</span></a></li>
<li type="circle">com.here.android.mpa.search.<a href="../../../../../com/here/android/mpa/search/PlaceLink.html" title="class in com.here.android.mpa.search"><span class="typeNameLink">PlaceLink</span></a></li>
</ul>
</li>
<li type="circle">com.here.android.mpa.search.<a href="../../../../../com/here/android/mpa/search/ReportingLink.html" title="class in com.here.android.mpa.search"><span class="typeNameLink">ReportingLink</span></a></li>
<li type="circle">com.here.android.mpa.search.<a href="../../../../../com/here/android/mpa/search/SupplierLink.html" title="class in com.here.android.mpa.search"><span class="typeNameLink">SupplierLink</span></a></li>
<li type="circle">com.here.android.mpa.search.<a href="../../../../../com/here/android/mpa/search/UserLink.html" title="class in com.here.android.mpa.search"><span class="typeNameLink">UserLink</span></a></li>
<li type="circle">com.here.android.mpa.search.<a href="../../../../../com/here/android/mpa/search/ViaLink.html" title="class in com.here.android.mpa.search"><span class="typeNameLink">ViaLink</span></a></li>
</ul>
</li>
<li type="circle">com.here.android.mpa.search.<a href="../../../../../com/here/android/mpa/search/Location.html" title="class in com.here.android.mpa.search"><span class="typeNameLink">Location</span></a></li>
<li type="circle">com.here.android.mpa.search.<a href="../../../../../com/here/android/mpa/search/Media.html" title="class in com.here.android.mpa.search"><span class="typeNameLink">Media</span></a>
<ul>
<li type="circle">com.here.android.mpa.search.<a href="../../../../../com/here/android/mpa/search/EditorialMedia.html" title="class in com.here.android.mpa.search"><span class="typeNameLink">EditorialMedia</span></a></li>
<li type="circle">com.here.android.mpa.search.<a href="../../../../../com/here/android/mpa/search/ImageMedia.html" title="class in com.here.android.mpa.search"><span class="typeNameLink">ImageMedia</span></a></li>
<li type="circle">com.here.android.mpa.search.<a href="../../../../../com/here/android/mpa/search/RatingMedia.html" title="class in com.here.android.mpa.search"><span class="typeNameLink">RatingMedia</span></a></li>
<li type="circle">com.here.android.mpa.search.<a href="../../../../../com/here/android/mpa/search/ReviewMedia.html" title="class in com.here.android.mpa.search"><span class="typeNameLink">ReviewMedia</span></a></li>
</ul>
</li>
<li type="circle">com.here.android.mpa.search.<a href="../../../../../com/here/android/mpa/search/MediaCollectionPage.html" title="class in com.here.android.mpa.search"><span class="typeNameLink">MediaCollectionPage</span></a>&lt;T&gt;</li>
<li type="circle">com.here.android.mpa.search.<a href="../../../../../com/here/android/mpa/search/NavigationPosition.html" title="class in com.here.android.mpa.search"><span class="typeNameLink">NavigationPosition</span></a></li>
<li type="circle">com.here.android.mpa.search.<a href="../../../../../com/here/android/mpa/search/Place.html" title="class in com.here.android.mpa.search"><span class="typeNameLink">Place</span></a></li>
<li type="circle">com.here.android.mpa.search.<a href="../../../../../com/here/android/mpa/search/Ratings.html" title="class in com.here.android.mpa.search"><span class="typeNameLink">Ratings</span></a></li>
<li type="circle">com.here.android.mpa.search.<a href="../../../../../com/here/android/mpa/search/Request.html" title="class in com.here.android.mpa.search"><span class="typeNameLink">Request</span></a>&lt;T&gt;
<ul>
<li type="circle">com.here.android.mpa.search.<a href="../../../../../com/here/android/mpa/search/DiscoveryRequest.html" title="class in com.here.android.mpa.search"><span class="typeNameLink">DiscoveryRequest</span></a>
<ul>
<li type="circle">com.here.android.mpa.search.<a href="../../../../../com/here/android/mpa/search/AroundRequest.html" title="class in com.here.android.mpa.search"><span class="typeNameLink">AroundRequest</span></a></li>
<li type="circle">com.here.android.mpa.search.<a href="../../../../../com/here/android/mpa/search/ExploreRequest.html" title="class in com.here.android.mpa.search"><span class="typeNameLink">ExploreRequest</span></a></li>
<li type="circle">com.here.android.mpa.search.<a href="../../../../../com/here/android/mpa/search/HereRequest.html" title="class in com.here.android.mpa.search"><span class="typeNameLink">HereRequest</span></a></li>
<li type="circle">com.here.android.mpa.search.<a href="../../../../../com/here/android/mpa/search/SearchRequest.html" title="class in com.here.android.mpa.search"><span class="typeNameLink">SearchRequest</span></a></li>
</ul>
</li>
<li type="circle">com.here.android.mpa.search.<a href="../../../../../com/here/android/mpa/search/GeocodeRequest.html" title="class in com.here.android.mpa.search"><span class="typeNameLink">GeocodeRequest</span></a></li>
<li type="circle">com.here.android.mpa.search.<a href="../../../../../com/here/android/mpa/search/GeocodeRequest2.html" title="class in com.here.android.mpa.search"><span class="typeNameLink">GeocodeRequest2</span></a></li>
<li type="circle">com.here.android.mpa.search.<a href="../../../../../com/here/android/mpa/search/MediaCollectionPageRequest.html" title="class in com.here.android.mpa.search"><span class="typeNameLink">MediaCollectionPageRequest</span></a>&lt;T&gt;</li>
<li type="circle">com.here.android.mpa.search.<a href="../../../../../com/here/android/mpa/search/PlaceRequest.html" title="class in com.here.android.mpa.search"><span class="typeNameLink">PlaceRequest</span></a></li>
<li type="circle">com.here.android.mpa.search.<a href="../../../../../com/here/android/mpa/search/ReverseGeocodeRequest.html" title="class in com.here.android.mpa.search"><span class="typeNameLink">ReverseGeocodeRequest</span></a></li>
<li type="circle">com.here.android.mpa.search.<a href="../../../../../com/here/android/mpa/search/ReverseGeocodeRequest2.html" title="class in com.here.android.mpa.search"><span class="typeNameLink">ReverseGeocodeRequest2</span></a></li>
<li type="circle">com.here.android.mpa.search.<a href="../../../../../com/here/android/mpa/search/TextAutoSuggestionRequest.html" title="class in com.here.android.mpa.search"><span class="typeNameLink">TextAutoSuggestionRequest</span></a></li>
<li type="circle">com.here.android.mpa.search.<a href="../../../../../com/here/android/mpa/search/TextSuggestionRequest.html" title="class in com.here.android.mpa.search"><span class="typeNameLink">TextSuggestionRequest</span></a></li>
<li type="circle">com.here.android.mpa.search.<a href="../../../../../com/here/android/mpa/search/TransitSchedulePageRequest.html" title="class in com.here.android.mpa.search"><span class="typeNameLink">TransitSchedulePageRequest</span></a></li>
</ul>
</li>
<li type="circle">java.lang.Throwable (implements java.io.Serializable)
<ul>
<li type="circle">java.lang.Exception
<ul>
<li type="circle">com.here.android.mpa.search.<a href="../../../../../com/here/android/mpa/search/HereRequest.UnsupportedFilterException.html" title="class in com.here.android.mpa.search"><span class="typeNameLink">HereRequest.UnsupportedFilterException</span></a></li>
</ul>
</li>
</ul>
</li>
<li type="circle">com.here.android.mpa.search.<a href="../../../../../com/here/android/mpa/search/TilesLink.html" title="class in com.here.android.mpa.search"><span class="typeNameLink">TilesLink</span></a></li>
<li type="circle">com.here.android.mpa.search.<a href="../../../../../com/here/android/mpa/search/TransitDeparture.html" title="class in com.here.android.mpa.search"><span class="typeNameLink">TransitDeparture</span></a></li>
<li type="circle">com.here.android.mpa.search.<a href="../../../../../com/here/android/mpa/search/TransitDestination.html" title="class in com.here.android.mpa.search"><span class="typeNameLink">TransitDestination</span></a></li>
<li type="circle">com.here.android.mpa.search.<a href="../../../../../com/here/android/mpa/search/TransitLine.html" title="class in com.here.android.mpa.search"><span class="typeNameLink">TransitLine</span></a></li>
<li type="circle">com.here.android.mpa.search.<a href="../../../../../com/here/android/mpa/search/TransitLineCategory.html" title="class in com.here.android.mpa.search"><span class="typeNameLink">TransitLineCategory</span></a></li>
<li type="circle">com.here.android.mpa.search.<a href="../../../../../com/here/android/mpa/search/TransitLineStyle.html" title="class in com.here.android.mpa.search"><span class="typeNameLink">TransitLineStyle</span></a></li>
<li type="circle">com.here.android.mpa.search.<a href="../../../../../com/here/android/mpa/search/TransitOperator.html" title="class in com.here.android.mpa.search"><span class="typeNameLink">TransitOperator</span></a></li>
<li type="circle">com.here.android.mpa.search.<a href="../../../../../com/here/android/mpa/search/TransitOperatorLink.html" title="class in com.here.android.mpa.search"><span class="typeNameLink">TransitOperatorLink</span></a></li>
<li type="circle">com.here.android.mpa.search.<a href="../../../../../com/here/android/mpa/search/TransitOperatorSupplier.html" title="class in com.here.android.mpa.search"><span class="typeNameLink">TransitOperatorSupplier</span></a></li>
<li type="circle">com.here.android.mpa.search.<a href="../../../../../com/here/android/mpa/search/TransitSchedulePage.html" title="class in com.here.android.mpa.search"><span class="typeNameLink">TransitSchedulePage</span></a></li>
</ul>
</li>
</ul>
<h2 title="Interface Hierarchy">Interface Hierarchy</h2>
<ul>
<li type="circle">com.here.android.mpa.search.<a href="../../../../../com/here/android/mpa/search/ResultListener.html" title="interface in com.here.android.mpa.search"><span class="typeNameLink">ResultListener</span></a>&lt;T&gt;</li>
</ul>
<h2 title="Enum Hierarchy">Enum Hierarchy</h2>
<ul>
<li type="circle">java.lang.Object
<ul>
<li type="circle">java.lang.Enum&lt;E&gt; (implements java.lang.Comparable&lt;T&gt;, java.io.Serializable)
<ul>
<li type="circle">com.here.android.mpa.search.<a href="../../../../../com/here/android/mpa/search/Request.Connectivity.html" title="enum in com.here.android.mpa.search"><span class="typeNameLink">Request.Connectivity</span></a></li>
<li type="circle">com.here.android.mpa.search.<a href="../../../../../com/here/android/mpa/search/TextAutoSuggestionRequest.AutoSuggestFilterType.html" title="enum in com.here.android.mpa.search"><span class="typeNameLink">TextAutoSuggestionRequest.AutoSuggestFilterType</span></a></li>
<li type="circle">com.here.android.mpa.search.<a href="../../../../../com/here/android/mpa/search/AutoSuggest.Type.html" title="enum in com.here.android.mpa.search"><span class="typeNameLink">AutoSuggest.Type</span></a></li>
<li type="circle">com.here.android.mpa.search.<a href="../../../../../com/here/android/mpa/search/DiscoveryResult.ResultType.html" title="enum in com.here.android.mpa.search"><span class="typeNameLink">DiscoveryResult.ResultType</span></a></li>
<li type="circle">com.here.android.mpa.search.<a href="../../../../../com/here/android/mpa/search/ReverseGeocodeMode.html" title="enum in com.here.android.mpa.search"><span class="typeNameLink">ReverseGeocodeMode</span></a></li>
<li type="circle">com.here.android.mpa.search.<a href="../../../../../com/here/android/mpa/search/RichTextFormatting.html" title="enum in com.here.android.mpa.search"><span class="typeNameLink">RichTextFormatting</span></a></li>
<li type="circle">com.here.android.mpa.search.<a href="../../../../../com/here/android/mpa/search/Media.Type.html" title="enum in com.here.android.mpa.search"><span class="typeNameLink">Media.Type</span></a></li>
<li type="circle">com.here.android.mpa.search.<a href="../../../../../com/here/android/mpa/search/ErrorCode.html" title="enum in com.here.android.mpa.search"><span class="typeNameLink">ErrorCode</span></a></li>
<li type="circle">com.here.android.mpa.search.<a href="../../../../../com/here/android/mpa/search/Category.Global.html" title="enum in com.here.android.mpa.search"><span class="typeNameLink">Category.Global</span></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li>Use</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage">Copyright (c) 2011-2019 HERE Global B.V. All rights reserved.</div>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/here/android/mpa/routing/package-tree.html">Prev</a></li>
<li><a href="../../../../../com/here/android/mpa/tce/package-tree.html">Next</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/search/package-tree.html" target="_top">Frames</a></li>
<li><a href="package-tree.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
